From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-email-validator/
Date: Fri, 6 Nov 2020 08:12:57 +0000 (UTC) [thread overview]
Message-ID: <1604649861.b786183e84fe62cb4b133b3dbe5923c68f48b9d6.mgorny@gentoo> (raw)
commit: b786183e84fe62cb4b133b3dbe5923c68f48b9d6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 6 08:04:21 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 6 08:04:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b786183e
dev-python/python-email-validator: Bump to 1.1.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-email-validator/Manifest | 1 +
.../python-email-validator-1.1.2.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/python-email-validator/Manifest b/dev-python/python-email-validator/Manifest
index 1000c658d63..979aae20708 100644
--- a/dev-python/python-email-validator/Manifest
+++ b/dev-python/python-email-validator/Manifest
@@ -1 +1,2 @@
DIST python-email-validator-1.1.1.tar.gz 18497 BLAKE2B a65a5603854920d022062fb4f1575eafe7274e5501ae00fdb58a53a75c6582353ce2c46e20a6a172e7a4a1bbe2b25515b543ace2af4151102c5201ff1ac27132 SHA512 fb4dc5b728adca6041129aa3eecb3efbb358ecf47bf383737936132df7b24c3b9e47e56918d375d8eb4a2535d56ce22c9e03dc126dafd8894911b43fe30f5162
+DIST python-email-validator-1.1.2.tar.gz 19421 BLAKE2B 118165ceed5da6fed377180662496f5bc996f1d3c2201e6a014cae8f66a9ff3f447900aff07f778fdec49cd0c680ad6f9316f30f6c152b7eed4f1f57adc1ba74 SHA512 b40f8ecd65a9a5945a1a84b174398fc495afccd27ad5fcd7b4a03ecd26bcff6dd6ac3b5f75ac200cf2647b92d4defb25afe1dda28f82ed86bd8c2bd82708d0aa
diff --git a/dev-python/python-email-validator/python-email-validator-1.1.2.ebuild b/dev-python/python-email-validator/python-email-validator-1.1.2.ebuild
new file mode 100644
index 00000000000..8cd9e9bd41e
--- /dev/null
+++ b/dev-python/python-email-validator/python-email-validator-1.1.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A robust email syntax and deliverability validation library"
+HOMEPAGE="https://github.com/JoshData/python-email-validator"
+SRC_URI="https://github.com/JoshData/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${PV}"
+
+LICENSE="CC0-1.0"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # deliverability tests fail within network-sandbox
+ sed -e 's:test_deliverability_:_&:' \
+ -i tests/test_main.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-11-06 8:13 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-06 8:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-23 15:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-email-validator/ Michał Górny
2023-05-23 15:36 Arthur Zamarin
2023-04-20 3:12 Michał Górny
2023-04-17 5:41 Michał Górny
2023-04-16 3:42 Michał Górny
2023-02-23 6:19 Michał Górny
2023-02-22 20:30 Arthur Zamarin
2023-01-22 9:01 Michał Górny
2022-10-22 15:53 Michał Górny
2022-10-22 15:49 Arthur Zamarin
2022-10-09 16:15 James Le Cuirot
2022-10-07 7:03 Michał Górny
2022-09-22 7:45 Michał Górny
2022-09-19 18:35 Arthur Zamarin
2022-06-06 9:29 Jakov Smolić
2022-05-15 10:41 Michał Górny
2022-05-15 10:41 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-02 12:42 Michał Górny
2022-05-02 8:27 Michał Górny
2022-05-01 1:52 WANG Xuerui
2022-04-24 20:26 Michał Górny
2022-04-08 14:23 Arthur Zamarin
2022-04-08 14:23 Arthur Zamarin
2021-12-03 20:47 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-19 2:43 Sam James
2021-11-18 10:50 Sam James
2021-11-18 10:39 Sam James
2021-11-18 9:09 Sam James
2021-11-13 19:50 Sam James
2021-10-10 20:43 Sam James
2021-10-10 2:20 Sam James
2021-10-10 0:09 Sam James
2021-09-18 17:06 Sam James
2021-07-25 18:04 Michał Górny
2021-07-25 8:41 Michał Górny
2021-07-25 1:04 Sam James
2021-06-12 21:02 Michał Górny
2021-06-04 14:40 Michał Górny
2021-01-15 7:35 Michał Górny
2021-01-14 23:59 Sam James
2020-12-16 11:51 Michał Górny
2020-07-25 11:17 Sam James
2020-06-24 7:07 Michał Górny
2020-06-24 7:07 Michał Górny
2020-06-24 7:07 Michał Górny
2020-05-21 13:19 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1604649861.b786183e84fe62cb4b133b3dbe5923c68f48b9d6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox